using System;

namespace TD.SandDock.Rendering
{
	public class BoxEdges
	{
		public BoxEdges()
		{
		}

		public BoxEdges(int left, int top, int right, int bottom)
		{
			this.a = left;
			this.b = top;
			this.d = right;
			this.c = bottom;
		}

		public int Left
		{
			get
			{
				return this.a;
			}
		}

		public int Top
		{
			get
			{
				return this.b;
			}
		}

		public int Right
		{
			get
			{
				return this.d;
			}
		}

		public int Bottom
		{
			get
			{
				return this.c;
			}
		}

		private int a;

		private int b;

		private int c;

		private int d;
	}
}
